%define upstream_name XML_FastCreate
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.4
Release:     	%mkrel 8
Summary:    	Fast creation of valid XML with DTD control
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/XML_FastCreate-%{version}.tgz
URL: 		http://pear.php.net/package/XML_FastCreate
BuildRequires:	php-pear >= 1.4.7
BuildArch: noarch

%description
- Easy way to make valid XML :
     $x->div(
         $x->h1("Example"),
         $x->p("Hello"),
         $x->p(array('class'=>'example'), "World !")
     )
     
- Option to report DTD errors in your XML :
  Use internal tool or external program [ Require XML_DTD package ]
- Use output driver of your choice :
  Text : return string
  XML_Tree : return XML_Tree object [ Require XML_Tree package ]
- Translate option to quickly transform tags by anothers :
   ex: Convert your XML to XHTML : 
          <news><title> Example </title></news>
      =>  <div class="news"><h1><span> Example </span></h1></div>
- Include a PHP program to quickly transform HTML to FastCreate syntax.
  [ Require XML_HTMLSax package ]
- See examples for more informations :
  http://lya.fr/pear/XML_FastCreate/tests/
- French Tutorial :
  http://wiki.lya.fr/doku.php?id=pear_xml_fastcreate

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_FastCreate.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_FastCreate.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_FastCreate
fi

%files
%{peardir}/*
%{xmldir}/XML_FastCreate.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.4-8.mga8
+ Revision: 1499223
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.4-7.mga7
+ Revision: 1274143
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.4-6.mga6
+ Revision: 947201
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-5.mga5
+ Revision: 744403
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 687507
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-3.mga4
+ Revision: 517306
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 377393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 13 2012 spuhler <spuhler> 1.0.4-1.mga2
+ Revision: 195567
- upgrade to 1.0.4
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 1.0.3-6.mga1
+ Revision: 44418
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_FastCreate


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-6mdv2011.0
+ Revision: 613790
- the mass rebuild of 2010.1 packages

* Wed Nov 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.3-5mdv2010.1
+ Revision: 464949
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.0.3-4mdv2010.0
+ Revision: 441668
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-3mdv2009.1
+ Revision: 322811
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-2mdv2009.0
+ Revision: 237161
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 82850
- Import php-pear-XML_FastCreate

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-1mdk
- 1.0.3
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdk
- initial Mandriva package (PLD import)

